function function_ExportExcelTable(Table, pathSelected, nameSelected)
% AUTHOR: Filippo Piccinini (E-mail: filippo.piccinini85@gmail.com)
% DATE: December 15, 2020
% NAME: function_ExportExcelTable (version 1.0)
% 
% To export as Excel table the data in the Table.
%
% PARAMETERS:
% 	Table               Table tha must be shown.
 
% Copyright (C) 2020 Filippo Piccinini 
% IRCCS Istituto Romagnolo per lo Studio dei Tumori (IRST) "Dino Amadori"
% Meldola (FC), Italy. All rights reserved.
% Email: filippo.piccinini85@gmail.com
%
% This program is free software; you can redistribute it and/or modify it 
% under the terms of the GNU General Public License version 3 (or higher) 
% as published by the Free Software Foundation. This program is 
% distributed WITHOUT ANY WARRANTY; without even the implied warranty of 
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
% General Public License for more details.

    cnames = fieldnames(Table);
    Lengthcnames = length(cnames);
    Mdati = [];
    for i = 1:Lengthcnames
        Mdati = [Mdati, Table.(cnames{i})];
    end

    if nameSelected==0
        return
    end
    pathfile = [pathSelected nameSelected];

    [ro, co] = size(Mdati);
    for in = 1:co
        TableFinal{1,in} = cnames{in};
    end
    for in = 1:co
        for jn = 1:ro
            if ismatrix(Mdati)
                TableFinal{jn+1,in} = cell2mat(Mdati(jn,in));
            else
                TableFinal{jn+1,in} = Mdati{jn,in};
            end
        end
    end
    xlswrite(pathfile, TableFinal);
    
end